changes to make this addon compile on OSX with gcc version 4.2.1 or higher #23

Merged
merged 11 commits into from Jul 17, 2012

Conversation

Projects
None yet
5 participants
Collaborator

godsflaw commented Feb 19, 2012

This is the most lightweight change I could make to get this to compile
on the OSX with gcc version 4.2.1 or greater. The change should not
require anyone else to have to bootstrap, which will happen if I change
configure.in. That being said, I highly recommend that these changes
be made in configure.in and bootstrapped on a more standard box.

jmars and others added some commits Jun 1, 2011

@jmars jmars update for node v0.4 buffers 9e5132a
@jmars jmars fix b9b8f14
@walf443 walf443 binding api changed from node v5.5 8ffbbed
@walf443 walf443 sys is changed to util from node v6.0 c0cab08
@walf443 walf443 try catch. 8caf6d6
@godsflaw godsflaw This is the most lightweight change I could make to get this to compile
on the OSX with gcc version 4.2.1 or greater.  The change should not
require anyone else to have to bootstrap, which will happen if I change
configure.in.  That being said, I highly recommend that these changes
be made in configure.in and bootstrapped on a more standard box.
75e88da
@godsflaw godsflaw Merge remote branch 'walf443/support_node_v6' df1f7b6
@godsflaw godsflaw PIC option was failing to compile on MAC with gcc 4.2.1 f78e56a

myfreeweb referenced this pull request Mar 9, 2012

Closed

build error on node 0.6.11 #24

Collaborator

godsflaw commented Mar 25, 2012

Opened a whole can of worms. This should compile on both Linux and OSX with node versions 0.4.x and 0.6.x now.

Please, for the love of Pete will someone merge this pull request and update npm!

Collaborator

godsflaw commented Jun 2, 2012

bump

chilts commented Jul 14, 2012

Would love to see this one and others merged and updated on npm. I'm afraid however that the project looks abandoned.

Who want's to fork this and maintain it properly?

godsflaw merged commit ee7c758 into pgriess:master Jul 17, 2012

markphilpot referenced this pull request in ddopson/underscore-cli Oct 21, 2012

Closed

install error with msgpack #12

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment